/*  
 * Copyright (c) 2011 Ant Kutschera
 * 
 * This file is part of Ant Kutschera's blog, 
 * http://blog.maxant.co.uk
 * 
 * This is free software: you can redistribute
 * it and/or modify it under the terms of the
 * Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 * 
 * It is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the Lesser GNU General Public License for
 * more details. 
 * 
 * You should have received a copy of the
 * Lesser GNU General Public License along with this software.
 * If not, see http://www.gnu.org/licenses/.
 */
package ch.maxant.blog.nio.tcpapplication.server;

import java.io.IOException;

import ch.maxant.blog.nio.framework.Configuration;
import ch.maxant.blog.nio.framework.ServerFactory;
import ch.maxant.blog.nio.framework.ServerRequest;
import ch.maxant.blog.nio.framework.ServerResponse;
import ch.maxant.blog.nio.framework.tcp.TCPProtocol;

public class TCPServerRunner {

	/**
	 * this is an example of how to implement an echo server
	 * just like you could in node.js
	 */
	public static void main(String[] args) throws IOException {

		TCPProtocol protocol = new TCPProtocol(){
			@Override
			public void handleRequest(ServerRequest request, ServerResponse response) {

				//echo what we just received
				try {
					response.write(request.getData());
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		};

		Configuration config = new Configuration(1337, protocol);
		ServerFactory.createServer(config).listen();

	}
	
}
