/*  
 * Copyright (c) 2011 Ant Kutschera
 * 
 * This file is part of Ant Kutschera's blog, 
 * http://blog.maxant.co.uk
 * 
 * This is free software: you can redistribute
 * it and/or modify it under the terms of the
 * Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 * 
 * It is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the Lesser GNU General Public License for
 * more details. 
 * 
 * You should have received a copy of the
 * Lesser GNU General Public License along with this software.
 * If not, see http://www.gnu.org/licenses/.
 */
package ch.maxant.blog.nio.framework;

import java.io.IOException;

/**
 * @param <P> protocol
 */
public interface IHandler<P> {

	/** called by the protocol in order to handle the incoming request */
	void service(ServerRequest request, ServerResponse response) throws IOException;
	
	/** returns the protocol for this handler */
	P getProtocol();

	/** called by container when it instantiates the handler, to set a reference to the protocol */
	void setProtocol(IServerProtocol<?> protocol);
}
